# ChangeLog for sys-apps/file
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/file/ChangeLog,v 1.98 2006/04/09 22:27:16 vapier Exp $

*file-4.17-r1 (14 Mar 2006)

  14 Mar 2006; Mike Frysinger <vapier@gentoo.org>
  +files/file-4.17-init-mem.patch, +file-4.17-r1.ebuild:
  Fix segfault in libmagic #126012.

*file-4.17 (13 Mar 2006)

  13 Mar 2006; Mike Frysinger <vapier@gentoo.org> +file-4.17.ebuild:
  Version bump.

  13 Jan 2006; Mike Frysinger <vapier@gentoo.org>
  +files/file-4.16-fix-array-64bit.patch, file-4.16.ebuild:
  Fix 64bit elf detection when cross-compiling.

*file-4.16 (17 Oct 2005)

  17 Oct 2005; Mike Frysinger <vapier@gentoo.org> +file-4.16.ebuild:
  Versin bump.

*file-4.15-r1 (08 Oct 2005)

  08 Oct 2005; Mike Frysinger <vapier@gentoo.org>
  +files/file-4.15-cracklib-magic.patch, +file-4.15-r1.ebuild:
  Fix from upstream for detection of block devices with -s #108287 by Preston
  Crow.

  17 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  +files/file-4.15-empty-mime-buffer.patch, file-4.15.ebuild:
  Add a check for empty buffers #106152.

  17 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

  14 Sep 2005; Mike Frysinger <vapier@gentoo.org>
  +files/file-4.15-libtool.patch, file-4.15.ebuild:
  Fix building with people who set LD_LIBRARY_PATH to retarded values #99593.

*file-4.15 (18 Aug 2005)

  18 Aug 2005; Mike Frysinger <vapier@gentoo.org> +file-4.15.ebuild:
  Version bump to fix up #101298 by PIERRE Benoît / #101639 by Preston 
  Crow / #102520 by Daniel Drake.

  24 Jul 2005; Martin Schlemmer <azarah@gentoo.org>
  +files/file-4.14-gcc2.patch, file-4.14.ebuild:
  Fix building with gcc2.

*file-4.14 (17 Jul 2005)

  17 Jul 2005; Mike Frysinger <vapier@gentoo.org> +file-4.14.ebuild:
  Version bump.

*file-4.13 (01 Apr 2005)

  01 Apr 2005; Tony Vroon <chainsaw@gentoo.org>
  +files/file-4.13-cross-compile.patch, +file-4.13.ebuild:
  Version bump, closes bug #87496.

  13 Dec 2004; Mike Frysinger <vapier@gentoo.org>
  +files/file-4.12-cross-compile.patch, file-4.12.ebuild:
  Cross-compiling patch from uClibc.

  11 Dec 2004; Markus Rothe <corsair@gentoo.org> file-4.12.ebuild:
  Stable on ppc64; bug #72521

  09 Dec 2004; Guy Martin <gmsoft@gentoo.org> file-4.12.ebuild:
  Stable on hppa.

  08 Dec 2004; Hardave Riar <hardave@gentoo.org>
  files/file-4.xx-mips-gentoo.diff, file-4.12.ebuild:
  Fixed up mips patch so it applies cleanly. Keyworded stable on mips, bug
  #72521.

  08 Dec 2004; Bryan Østergaard <kloeri@gentoo.org> file-4.12.ebuild:
  Stable on alpha, bug 72521.

  08 Dec 2004; Daniel Black <dragonheart@gentoo.org> file-4.12.ebuild:
  ppc stable as per bug #72521

  07 Dec 2004; Olivier Crete <tester@gentoo.org> file-4.12.ebuild:
  Stable on x86 wrt bug 72521

  07 Dec 2004; <solar@gentoo.org> file-4.12.ebuild:
  - marked stable on x86 bug #72521

  07 Dec 2004; Gustavo Zacarias <gustavoz@gentoo.org> file-4.12.ebuild:
  Stable on sparc wrt #72521

  07 Dec 2004; Mike Doty <kingtaco@gentoo.org> file-4.12.ebuild:
  stable on amd64 per bug #72521

*file-4.12 (25 Nov 2004)

  25 Nov 2004; <solar@gentoo.org> +file-4.12.ebuild:
  version bump. See file-4.12/ChangeLog for more details

  14 Nov 2004; Bryan Østergaard <kloeri@gentoo.org> file-4.10-r1.ebuild:
  Stable on alpha.

  13 Nov 2004; <solar@gentoo.org> +files/file-4.10-mconvert.patch,
  file-4.10-r1.ebuild:
  fixed off by one bug in file-4.10

  12 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> file-4.10-r1.ebuild:
  Stable on sparc

  07 Oct 2004; Lina Pezzella <j4rg0n@gentoo.org> file-4.08.ebuild:
  Removed ppc-macos keyword Bug # 65763

  25 Sep 2004; Joshua Kinard <kumba@gentoo.org> file-4.10-r1.ebuild:
  Marked stable on mips.

  22 Sep 2004; Danny van Dyk <kugelfang@gentoo.org> file-4.10.ebuild:
  Marked stable on amd64.

*file-4.10-r1 (13 Sep 2004)

  13 Sep 2004; Rob Holland <tigger@gentoo.org> +file-4.10-r1.ebuild:
  removed -j1 from emake. emerge -C file; MAKEOPTS=-j emerge file worked fine on
  an SMP box

  09 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> file-4.10.ebuild:
  Stable on sparc

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org> file-4.06.ebuild:
  Masked file-4.06.ebuild stable for ppc

  18 Aug 2004; Aron Griffis <agriffis@gentoo.org> file-4.10.ebuild:
  stable on alpha and ia64

*file-4.10 (28 Jul 2004)

  28 Jul 2004; Mike Frysinger <vapier@gentoo.org> +file-4.10.ebuild:
  Version bump.

  25 Jul 2004; Lina Pezzella <j4rg0n@gentoo.org>
  Fixed Manifest.

  24 Jun 2004; Alexander Plank <alexander@gentoo.org> file-4.08.ebuild:
  add macos keyword (emerge 4.09 gives error "emerge: there are no ebuilds to 
  satisfy "virtual/python"."

  22 Jul 2004; <solar@gentoo.org> file-4.09.ebuild:
  enable shared support for uclibc

  14 Jul 2004; Mike Frysinger <vapier@gentoo.org> file-4.09.ebuild:
  Make sure when building the python component we link against the current
  libmagic.so and not the system one found in /usr/lib #54401 by tyarling.

  12 Jul 2004; <solar@gentoo.org> file-4.08.ebuild, file-4.09.ebuild:
  remove the unneeded lib/*.a cruft from a stage1 build

  30 Jun 2004; Aron Griffis <agriffis@gentoo.org> file-3.41.ebuild,
  file-4.02.ebuild, file-4.06.ebuild, file-4.07-r1.ebuild, file-4.07.ebuild,
  file-4.08.ebuild:
  sync IUSE (+build, -uclibc)

  26 Jun 2004; Ciaran McCreesh <ciaranm@gentoo.org> file-4.09.ebuild:
  Stable on sparc, mips

  25 Jun 2004; Aron Griffis <agriffis@gentoo.org> file-3.41.ebuild,
  file-4.02.ebuild, file-4.06.ebuild, file-4.07-r1.ebuild, file-4.07.ebuild:
  QA - fix use invocation

  16 Jun 2004; Daniel Black <dragonheart@gentoo.org>
  +files/file-4.08-uclibc.patch, +files/ltconfig-uclibc.patch,
  file-4.06.ebuild, file-4.08.ebuild:
  uclibc patches thanks to Peter S. Mazinger <ps.m@gmx.net>. Missing build use
  flag on 4.08.

  11 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> file-4.09.ebuild:
  Stable on alpha.

  02 Jun 2004; Travis Tilley <lv@gentoo.org> file-4.09.ebuild:
  stable on amd64

  03 May 2004; Mike Frysinger <vapier@gentoo.org> :
  Add python support #39217 by herve coatanhay.

  30 Apr 2004; Michael McCabe <randy@gentoo.org> file-4.09.ebuild:
  Stable on s390

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> file-4.06.ebuild,
  file-4.07-r1.ebuild, file-4.07.ebuild:
  Add inherit eutils

*file-4.09 (27 Apr 2004)

  27 Apr 2004; Martin Holzer <mholzer@gentoo.org> file-4.09.ebuild:
  Version bumped.

  27 Apr 2004; Michael McCabe <randy@gentoo.org> file-4.08.ebuild:
  Marked stable on s390

  09 Apr 2004; Travis Tilley <lv@gentoo.org> file-4.06.ebuild:
  stable on amd64

*file-4.08 (23 Mar 2004)

  23 Mar 2004; Martin Holzer <mholzer@gentoo.org> file-4.08.ebuild:
  Version bumped.

  02 Mar 2004; Brian Jackson <iggy@gentoo.org> file-4.07-r1.ebuild:
  adding initial s390 support

  28 Jan 2004; Aron Griffis <agriffis@gentoo.org> file-4.06.ebuild:
  stable on alpha and ia64

*file-4.07-r1 (23 Jan 2004)

  23 Jan 2004; Jared Hudson <jhhudso@gentoo.org> : Added a patch from source
  changes found in the debian file package. This fixes a serious (IMO) bug
  that causes a endless loop (100% cpu usage) when using file against certain
  elf binaries.


  22 Jan 2004; <gustavoz@gentoo.org> file-4.06.ebuild:
  marked stable on sparc

  22 Jan 2004; Martin Holzer <mholzer@gentoo.org> file-4.06.ebuild:
  x86 stable.

  20 Jan 2004; Michael Sterrett <mr_bones_@gentoo.org> file-4.07.ebuild:
  mark the new ebuild all ~

*file-4.07 (20 Jan 2004)

  20 Jan 2004; Michael Sterrett <mr_bones_@gentoo.org> file-4.07.ebuild:
  version bump

  28 Dec 2003; Joshua Kinard <kumba@gentoo.org> file-4.06.ebuild:
  Move to mips stable (~mips -> mips)

  14 Nov 2003; Aron Griffis <agriffis@gentoo.org> file-4.06.ebuild:
  Stable on ia64

*file-4.03 (01 Nov 2003)

  01 Nov 2003; Seemant Kulleen <seemant@gentoo.org> file-3.37.ebuild,
  file-3.39.ebuild, file-4.01.ebuild, file-4.02.ebuild, file-4.03.ebuild,
  file-4.05.ebuild:
  removed old versions, and also changed SRC_URI on file-4.02 point to Gentoo
  mirrors, since upstream doesn't have it available any more. Thanks to: Stony
  Yakovac <stonyy@tek.com> in bug #32513

*file-4.06 (17 Oct 2003)

  19 Nov 2003; Guy Martin <gmsoft@gentoo.org> file-4.06.ebuild :
  Marked stable on hppa. It resolv some segfault problems.

  20 Oct 2003; Joshua Kinard <kumba@gentoo.org> file-4.06.ebuild:
  Added gnuconfig support for mips64

  18 Oct 2003; Joshua Kinard <kumba@gentoo.org> file-4.05.ebuild,
  file-4.06.ebuild, files/file-4.05-mips-gentoo.diff,
  files/file-4.xx-mips-gentoo.diff:
  Renamed the 4.05 patch for mips to 4.xx because it'll likely apply cleanly for
  several versions. Modified file-4.05 and file-4.06 to use this patch.

  17 Oct 2003; Michael Sterrett <mr_bones_@gentoo.org> file-4.06.ebuild:
  fix failure of parallel make.  bug 31356

  17 Oct 2003; Joshua Kinard <kumba@gentoo.org> file-4.05.ebuild,
  file-4.06.ebuild:
  Added "cd ${S}" lines to file-4.05 and file-4.06, as well as removed the
  uneeded sed statement from file-4.06, as the patch level is properly set now.

  17 Oct 2003; Martin Holzer <mholzer@gentoo.org> file-4.06.ebuild:
  Version bumped.

*file-4.05 (09 Oct 2003)

  12 Oct 2003; Joshua Kinard <kumba@gentoo.org> file-4.05.ebuild,
  files/file-4.05-mips-gentoo.diff:
  Added a patch for mips which changes file's output somewhat to allow shared
  libs to be detected.
  Also added a sed command to tweak src/patchlevel.h to
  make file report the proper version. Currently, file-4.05 claims to be
  file-4.04.
  Also added ~mips to KEYWORDS (We're still using file-3.41, update time!)

  09 Oct 2003; Joel Hill <hillster@gentoo.org> file-4.05.ebuild:
  version bump. marking ~ on all arch's

  11 Aug 2003; Alexander Gabert <pappy@gentoo.org> file-4.02.ebuild:
  file command segfaults on hppa when pa8000 schedule for gcc is used

  23 Jun 2003; Aron Griffis <agriffis@gentoo.org> file-4.02.ebuild:
  Mark stable on alpha

  01 Jun 2003; Joshua Kinard <kumba@gentoo.org>
  file-4.01.ebuild, file-4.02.ebuild:
  Removed ~mips from KEYWORDS as file lacks a patch necessary to generate proper
  output used by configure scripts to detect shared libs.

*file-4.02 (04 Apr 2003)

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> file-4.02.ebuild :
  Marked stable on hppa.

  04 Apr 2003; Daniel Robbins <drobbins@gentoo.org> file-4.02.ebuild:
  Added latest version and marked stable for x86, sparc.

*file-4.01 (26 Mar 2003)

  02 Apr 2003; Christian Birchinger <joker@gentoo.org> file-4.01.ebuild:
  Added stable sparc keyword

  26 Mar 2003; Daniel Robbins <drobbins@gentoo.org>: file-4.01.ebuild: New
  upstream release, marked ~x86.

*file-3.41 (06 Mar 2003)

  06 Mar 2003; Daniel Ahlberg <aliz@gentoo.rg> :
  Security update.

  20 Feb 2003; Zach Welch <zwelch@gentoo.org> file-3.39.ebuild :
  Added arm to keywords.

  09 Feb 2003; Guy Martin <gmsoft@gentoo.org> file-3.39.ebuild :
  Added hppa to keywords.

*file-3.37 (20 Dec 2002)

  20 Dec 2002; Jan Seidel <tuxus@gentoo.org> file-3.37.ebuild :
  Added mips to keywords

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*file-3.39 (25 Sep 2002)

  08 Feb 2003; Jan Seidel <tuxus@gentoo.org> :
  Added mips to keywords
  Added a patch for mips that changes the file output so that's work with libtool

  25 Sep 2002; Martin Schlemmer <azarah@gentoo.org> :
  Update version.

*file-3.33-r3.ebuild (14 July 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> file-3.33-r3.ebuild :
  Added LICENSE, KEYWORDS, SLOT.

*file-3.37 (1 Feb 2002)

  14 Jul 2002; phoen][x <phoenix@gentoo.org> file-3.37.ebuild :
  Added KEYWORDS, SLOT.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
